use Test::More;
use File::Basename;

plan tests => 8;

use_ok("ASCOPE::IDP");

my $idp = ASCOPE::IDP->new("en");
isa_ok($idp,"ASCOPE::IDP");

foreach my $lang (@{$idp->translations()}) {
  $idp->$lang("dog");
  cmp_ok(basename($idp->{'__datafile'}),"eq","en_$lang.txt","$lang: $idp->{'__datafile'}");
}

# $Id: datafile.t,v 1.1 2003/02/02 21:55:23 asc Exp $
