use Test::More;
plan tests => 5;

use_ok("ASCOPE::IDP");

my $idp = ASCOPE::IDP->new();

isa_ok($idp,"ASCOPE::IDP");

cmp_ok($idp->lang(),"eq","en","Language is English");

ok(UNIVERSAL::can($idp,"es"),"Can translate into Spanish");

cmp_ok(($idp->es("dog"))[0],"eq","el perro","One word for 'dog' in Spanish is 'el perro'");
