use Test::More;
plan tests => 5;

use_ok("ASCOPE::IDP");

my $idp = ASCOPE::IDP->new();

isa_ok($idp,"ASCOPE::IDP");

cmp_ok($idp->lang(),"eq","en","Language is English");

ok(UNIVERSAL::can($idp,"fr"),"Can translate into Italian");

cmp_ok(($idp->it("dog"))[0],"eq","cane","The word 'dog' in Italian is 'cane'");

# $Id: it.t,v 1.1 2003/02/01 22:04:19 asc Exp $
